Problem upgrading AWOcoupon


  • Your avatar
    seyi    
     6 years ago
    0

    I have tried updating a clients version of AWO Coupon to the latest release. This works on my development site but not on my client's site.
    On installation it generates the error...

    "Allows sellable gift certificates: Unsuccessful - COULD NOT FIND POSITION TO ADD/DELETE CONTENT"

    the component is then broken and generates a parse error...

    "Parse error: syntax error, unexpected T_ARRAY, expecting '&' or T_VARIABLE or T_CONST in /homepages/14/d297572101/htdocs/restore/administrator/components/com_awocoupon/models/license.php on line 7"

    However on my development site it simply reads "Allows sellable gift certificates: Succesful" and the component works.
    The client uses one&one for hosting whereas the dev site uses Rochen. I'm assuming this is a hosting issue but one&one simply ask me to check with you, can anyone help?

    Kind Regards
    Rich
  • Your avatar
    seyi    
     6 years ago
    0

    Hi,

    Can you try to manually install it?

    In the awocoupon zipped file, copy everything inside the admin folder into www/administrator/component/com_awocoupon. That should get rid of the error. Then when within AwoCoupon, you can go to the installation check to see what is not installed and try to reinstall.
  • Default avatar
    hyde-design    
     6 years ago
    0

    Hi,

    I've copied everything across to administrator/component/com_awocoupon folder. But when in the Joomla admin panel as soon as I click on components > AwoCoupon it displays...

    Parse error: syntax error, unexpected T_ARRAY, expecting '&' or T_VARIABLE or T_CONST in /homepages/14/d297572101/htdocs/restore/administrator/components/com_awocoupon/models/license.php on line 7
  • Default avatar
    clive4    
     6 years ago
    0

    While trying to upgrade I get two error messages, one on top of the other.

    1 You have downloaded this file from too many different locations. Please contact the site administrator if this message has been received in error.
    2 Please note: A license is required to activate the software. Visit the "Licenses" Tab to view your activation code. If you need licensing for more than one website, you will need to purchase another license.

    I have no idea what "1" means; only ever use one computer for one website.
  • Your avatar
    seyi    
     6 years ago
    0

    You mean downloading the newest version right? not upgrading.
  • Your avatar
    seyi    
     6 years ago
    0

    this error is fixed in version 1.2.2
  • Your avatar
    seyi    
     6 years ago
    0

    this error is fixed in version 1.2.2
  • Default avatar
    clive4    
     6 years ago
    0

    Yes - sorry
  • Your avatar
    seyi    
     6 years ago
    0

    You should be fine now, I raised your ip limit. It registers the ip address you use when downloading and limits it to protect against fraud, so yours must change alot.
  • Default avatar
    clive4    
     6 years ago
    0

    Installed - thanks - no idea about the ip issue